/** SRB2 CMake Configuration */

#ifndef __CONFIG_H__
#define __CONFIG_H__

/* DO NOT MODIFY config.h DIRECTLY! It will be overwritten by cmake.
 * If you want to change a configuration option here, modify it in
 * your CMakeCache.txt. config.h.in is used as a template for CMake
 * variables, so you can insert them here too.
 */

#ifdef CMAKECONFIG

#define SRB2_COMP_REVISION       "${SRB2_COMP_REVISION}"
#define SRB2_COMP_BRANCH         "${SRB2_COMP_BRANCH}"
#define SRB2_COMP_LASTCOMMIT         "${SRB2_COMP_LASTCOMMIT}"
// This is done with configure_file instead of defines in order to avoid
// recompiling the whole target whenever the working directory state changes
#cmakedefine SRB2_COMP_UNCOMMITTED
#ifdef SRB2_COMP_UNCOMMITTED
#define COMPVERSION_UNCOMMITTED
#endif

#else

#define SRB2_COMP_LASTCOMMIT     ""
#define SRB2_COMP_REVISION       ""
#define SRB2_COMP_BRANCH         ""

#endif

#endif
